using System.Collections.Generic;
using System.Drawing;
using System.Text.Json.Serialization;

namespace FizzyLauncher.Models
{
    public class TileGroupModel
    {
        public string Title { get; set; }

        public bool IsExpanded { get; set; } = false;

        public List<TileModel> Items { get; set; } = new List<TileModel>();

        [JsonConverter(typeof(RyzStudio.Text.Json.JsonSizeConverter))]
        public Size GridSize { get; set; } = new Size(0, 0);

    }
}